Bug 174069 - [PATCH] misc/explosions: OptionsNG, added categories, licence, icon, desktop entry, take maintainership
Summary: [PATCH] misc/explosions: OptionsNG, added categories, licence, icon, desktop ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-03 00:40 UTC by nemysis
Modified: 2014-02-02 22:30 UTC (History)
0 users

See Also:


Attachments
explosions-0.2005.07.31_13.patch (4.34 KB, patch)
2012-12-03 00:40 UTC, nemysis
no flags Details | Diff
explosions.diff (4.33 KB, patch)
2013-02-23 19:24 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-12-03 00:40:01 UTC
- Take maintainership

Makefile changed:
+CATEGORIES=	misc games graphics
+MASTER_SITES=
+DISTFILES=
+DIST_SUBDIR=	${PORTNAME}
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION:S/^0.//}${EXTRACT_SUFX}
+LICENSE=	GPLv2
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/^0.//}
+PORTDOCS=	BUGS.txt CHANGES.txt README.txt
+DESKTOP_ENTRIES=
+.include <bsd.port.options.mk>
+.if ${PORT_OPTIONS:MDOCS}

Removed not needed use for sed only ${REINPLACE_CMD}
-USE_PERL5_BUILD=yes

Changed and refined:
 post-patch:
 do-install:
 pkg-descr
 pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 nemysis 2013-02-23 19:24:04 UTC
Changed

DESKTOP_ENTRIES="Explosions" "${COMMENT}" \
                "${PREFIX}/share/pixmaps/${PORTNAME}.png" \
                "${PORTNAME}" "Application;Game;Graphics;" false

        ${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png ${PREFIX}/share/pixmaps/

.if ${PORT_OPTIONS:MDOCS}
PLIST_SUB+=     PORTDOCS=""
.else
PLIST_SUB+=     PORTDOCS="@comment "
.endif
Comment 2 Martin Wilke freebsd_committer 2013-08-14 10:29:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is now committer.
Comment 3 Rusmir Dusko freebsd_committer 2014-02-02 22:13:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-02-02 22:20:43 UTC
Author: nemysis
Date: Sun Feb  2 22:20:34 2014
New Revision: 342369
URL: http://svnweb.freebsd.org/changeset/ports/342369
QAT: https://qat.redports.org/buildarchive/r342369/

Log:
  - Bump PORTREVISION
  - Change master sites and add icon
  - Take maintainership
  - Add license (GPLv2)
  - USES gmake instead of USE_GMAKE
  - Change DOCS and add DOCS Option
  - Add Desktop entry file
  - Change pkg-plist, remove DOCS
  
  PR:		ports/174069
  Submitted by:	nemysis (self)

Modified:
  head/misc/explosions/Makefile
  head/misc/explosions/distinfo
  head/misc/explosions/pkg-plist

Modified: head/misc/explosions/Makefile
==============================================================================
--- head/misc/explosions/Makefile	Sun Feb  2 22:05:08 2014	(r342368)
+++ head/misc/explosions/Makefile	Sun Feb  2 22:20:34 2014	(r342369)
@@ -3,39 +3,49 @@
 
 PORTNAME=	explosions
 PORTVERSION=	0.2005.07.31
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	misc
-MASTER_SITES=	ftp://ftp.billsgames.com/unix/x/explosions/
-DISTNAME=	${PORTNAME}-${PORTVERSION:S/^0.//}
+MASTER_SITES=	ftp://ftp.tuxpaint.org/unix/x/${PORTNAME}/ \
+		ftp://ftp.billsgames.com/unix/x/${PORTNAME}/ \
+		SF/nemysisfreebsdp/${CATEGORIES}/:icons
+DISTFILES=	${PORTNAME}-${PORTVERSION:S/^0.//}${EXTRACT_SUFX} \
+		${PORTNAME}.png:icons
+EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION:S/^0.//}${EXTRACT_SUFX}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@FreeBSD.org
 COMMENT=	3D objects flying around resembling explosions with various effects
 
-USE_SDL=	sdl image
-USE_GMAKE=	yes
-USES=		perl5
+LICENSE=	GPLv2
+
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/^0.//}
+
+USES=		gmake perl5
 USE_PERL5=	build
+USE_SDL=	sdl image
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
+PORTDOCS=	BUGS.txt CHANGES.txt README.txt
+
+OPTIONS_DEFINE=	DOCS
+
+DESKTOP_ENTRIES="Explosions" "" "${PORTNAME}" \
+		"${PORTNAME}" "Game;Graphics;" ""
 
 post-patch:
-	@${REINPLACE_CMD} -i '' -e 's!CFLAGS=-Wall -O2!CFLAGS+=-Wall!; \
-			s!sdl-config!${SDL_CONFIG}!' \
+	@${REINPLACE_CMD} -e 's|CFLAGS=-Wall -O2|CFLAGS+=-Wall|; \
+		s|sdl-config|${SDL_CONFIG}|' \
 		${WRKSRC}/Makefile
-	@${REINPLACE_CMD} -i '' -e 's!spark%d.png!${DATADIR}/spark%d.png!' \
+	@${REINPLACE_CMD}  -e 's|spark%d.png|${DATADIR}/spark%d.png|' \
 		${WRKSRC}/explosions.c
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/explosions ${PREFIX}/bin
-	@${MKDIR} ${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/spark?.png ${DATADIR}
-
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-.for file in BUGS.txt CHANGES.txt README.txt
-	${INSTALL_DATA} ${WRKSRC}/${file} ${DOCSDIR}
-.endfor
-.endif
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin/
+	@${MKDIR} ${STAGEDIR}${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/spark?.png ${STAGEDIR}${DATADIR}
+
+	${INSTALL_DATA} ${_DISTDIR}/${PORTNAME}.png \
+		${STAGEDIR}${PREFIX}/share/pixmaps/
+
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
 
 .include <bsd.port.mk>

Modified: head/misc/explosions/distinfo
==============================================================================
--- head/misc/explosions/distinfo	Sun Feb  2 22:05:08 2014	(r342368)
+++ head/misc/explosions/distinfo	Sun Feb  2 22:20:34 2014	(r342369)
@@ -1,2 +1,4 @@
 SHA256 (explosions-2005.07.31.tar.gz) = 8203ed455caee9c0ad0e75b31462bb7c7a9c2860079deb7671c914d5cde37ae8
 SIZE (explosions-2005.07.31.tar.gz) = 40219
+SHA256 (explosions.png) = 3f5c330d41b5bf46598a00f8d75ebbe2bfa08bbbb9a649f0e96833331d727a87
+SIZE (explosions.png) = 1740

Modified: head/misc/explosions/pkg-plist
==============================================================================
--- head/misc/explosions/pkg-plist	Sun Feb  2 22:05:08 2014	(r342368)
+++ head/misc/explosions/pkg-plist	Sun Feb  2 22:20:34 2014	(r342369)
@@ -1,7 +1,4 @@
 bin/explosions
-%%PORTDOCS%%%%DOCSDIR%%/BUGS.txt
-%%PORTDOCS%%%%DOCSDIR%%/CHANGES.txt
-%%PORTDOCS%%%%DOCSDIR%%/README.txt
 %%DATADIR%%/spark1.png
 %%DATADIR%%/spark2.png
 %%DATADIR%%/spark3.png
@@ -9,5 +6,5 @@ bin/explosions
 %%DATADIR%%/spark5.png
 %%DATADIR%%/spark6.png
 %%DATADIR%%/spark7.png
+share/pixmaps/explosions.png
 @dirrm %%DATADIR%%
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"